org.richfaces.renderkit.html

## Class AjaxPollRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.AjaxPollRenderer

-     public class AjaxPollRenderer
      extends RendererBase

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `RENDERER_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxPollRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom decoding of concrete renderer.
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Template method for custom finish encoding of concrete renderer.
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
    `protected void` | `queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String eventName)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, isAlreadyRendered, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AjaxPollRenderer

          public AjaxPollRenderer()

  - ### Method Detail

    - #### queueComponentEventForBehaviorEvent

          protected void queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context,
                                                             javax.faces.component.UIComponent component,
                                                             String eventName)

      Overrides:
        `queueComponentEventForBehaviorEvent` in class `RendererBase`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                                     javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws IOException

      Description copied from class: `RendererBase`
      Template method for custom finish encoding of concrete renderer. All parameters checking and writer is performed in original `RendererBase.encodeEnd(FacesContext, UIComponent)` method.
      Overrides:
        `doEncodeEnd` in class `RendererBase`
      Throws:
        `IOException`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Description copied from class: `RendererBase`
      Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.
      Overrides:
        `getComponentClass` in class `RendererBase`
      Returns:

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext context,
                                  javax.faces.component.UIComponent component)

      Description copied from class: `RendererBase`
      Template method for custom decoding of concrete renderer. All parameters checking if performed in original `RendererBase.decode(FacesContext, UIComponent)` method.
      Overrides:
        `doDecode` in class `RendererBase`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.